### Signal

# Ide Pipeline::finished

#### Declaration

    void
    finished (
      IdePipeline* self,
      gboolean failed,
      gpointer user_data
    )

#### Description

This signal is emitted when the build process has finished executing. If the build failed to complete all requested stages, then `failed` will be set to `TRUE`, otherwise `FALSE`.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32

#### Parameters

`failed` | `gboolean`
| If the build was a failure.